org.eclipse.rdf4j.sail.shacl.planNodes

## Enum IteratorData

- java.lang.Object
- - java.lang.Enum<IteratorData>
  - - org.eclipse.rdf4j.sail.shacl.planNodes.IteratorData

- All Implemented Interfaces:
    Serializable, Comparable<IteratorData>

      public enum IteratorData
      extends Enum<IteratorData>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aggregated`
    `mixed`
    `tripleBased`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IteratorData` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IteratorData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### tripleBased

          public static final IteratorData tripleBased

    - #### aggregated

          public static final IteratorData aggregated

    - #### mixed

          public static final IteratorData mixed

  - ### Method Detail

    - #### values

          public static IteratorData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IteratorData c : IteratorData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IteratorData valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.